dashboard alert rules
Create dashboard alert rules dashboard alert rules
Requires scopes: reports:write
POST
/
api
/
dashboard-alert-rules
Create dashboard alert rules dashboard alert rules
curl --request POST \
--url https://evalgate.com/api/dashboard-alert-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"operator": "gte",
"threshold": {
"value": 123,
"upperValue": 123,
"forConsecutive": 123,
"resolveAfterConsecutive": 123
},
"metricDefinitionId": "<string>",
"ruleKey": "<string>",
"evaluationWindow": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"severity": "critical",
"enabled": false,
"dedupeWindowSeconds": 123,
"deliveryConfig": {
"webhook": false,
"notification": false
}
}
'import requests
url = "https://evalgate.com/api/dashboard-alert-rules"
payload = {
"name": "<string>",
"operator": "gte",
"threshold": {
"value": 123,
"upperValue": 123,
"forConsecutive": 123,
"resolveAfterConsecutive": 123
},
"metricDefinitionId": "<string>",
"ruleKey": "<string>",
"evaluationWindow": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"severity": "critical",
"enabled": False,
"dedupeWindowSeconds": 123,
"deliveryConfig": {
"webhook": False,
"notification": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
operator: 'gte',
threshold: {value: 123, upperValue: 123, forConsecutive: 123, resolveAfterConsecutive: 123},
metricDefinitionId: '<string>',
ruleKey: '<string>',
evaluationWindow: {type: 'relative', lookbackSeconds: 123, timezone: '<string>'},
severity: 'critical',
enabled: false,
dedupeWindowSeconds: 123,
deliveryConfig: {webhook: false, notification: false}
})
};
fetch('https://evalgate.com/api/dashboard-alert-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule": {
"currentVersionId": "<string>",
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"ownerId": "<string>",
"ruleKey": "<string>"
},
"version": {
"severity": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"version": 123,
"contentHash": "<string>",
"operator": "<string>",
"metricDefinitionId": "<string>",
"alertRuleId": "<string>",
"thresholdJson": {
"value": 123,
"forConsecutive": 123,
"resolveAfterConsecutive": 123,
"upperValue": 123
},
"evaluationWindow": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"dedupeWindowSeconds": 123,
"deliveryConfig": {
"webhook": true,
"notification": true
}
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
operator
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>
required
Available options:
gte Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
critical Available options:
false Show child attributes
Show child attributes
⌘I
Create dashboard alert rules dashboard alert rules
